summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDylan Carlson <absinthe@gentoo.org>2003-04-30 13:56:48 +0000
committerDylan Carlson <absinthe@gentoo.org>2003-04-30 13:56:48 +0000
commit60b92f53c3bd4a42cd138b92a799354bea1ba2aa (patch)
tree460702a8b2d2c1f239692bebaa74e0d1542f4545 /net-www/resin-ee/files/2.1.9
parentInitial import. (diff)
downloadgentoo-2-60b92f53c3bd4a42cd138b92a799354bea1ba2aa.tar.gz
gentoo-2-60b92f53c3bd4a42cd138b92a799354bea1ba2aa.tar.bz2
gentoo-2-60b92f53c3bd4a42cd138b92a799354bea1ba2aa.zip
Initial import.
Diffstat (limited to 'net-www/resin-ee/files/2.1.9')
-rw-r--r--net-www/resin-ee/files/2.1.9/21resin2
-rw-r--r--net-www/resin-ee/files/2.1.9/resin-ee.diff20
-rw-r--r--net-www/resin-ee/files/2.1.9/resin.conf36
-rw-r--r--net-www/resin-ee/files/2.1.9/resin.init32
4 files changed, 90 insertions, 0 deletions
diff --git a/net-www/resin-ee/files/2.1.9/21resin b/net-www/resin-ee/files/2.1.9/21resin
new file mode 100644
index 000000000000..5a3ecc5b6e96
--- /dev/null
+++ b/net-www/resin-ee/files/2.1.9/21resin
@@ -0,0 +1,2 @@
+RESIN_HOME=/opt/resin
+CONFIG_PROTECT=/opt/resin/conf
diff --git a/net-www/resin-ee/files/2.1.9/resin-ee.diff b/net-www/resin-ee/files/2.1.9/resin-ee.diff
new file mode 100644
index 000000000000..156f1e020d31
--- /dev/null
+++ b/net-www/resin-ee/files/2.1.9/resin-ee.diff
@@ -0,0 +1,20 @@
+--- bin/wrapper.pl.orig 2003-04-30 08:35:27.000000000 -0400
++++ bin/wrapper.pl 2003-04-30 08:39:56.000000000 -0400
+@@ -381,7 +381,7 @@
+ chop($pid);
+
+ if ($cmd eq "stop") {
+- print("Stopping ${name}\n");
++ print("");
+ }
+ kill(15, $pid);
+ unlink($pid_file);
+@@ -652,7 +652,7 @@
+ $date = `date`;
+ chop($date);
+
+- print("Resin $name $cmd at $date\n");
++ print("");
+
+ # create a keepalive socket
+ # when the wrapper dies, the httpd class will detect that and
diff --git a/net-www/resin-ee/files/2.1.9/resin.conf b/net-www/resin-ee/files/2.1.9/resin.conf
new file mode 100644
index 000000000000..9edc04875e7a
--- /dev/null
+++ b/net-www/resin-ee/files/2.1.9/resin.conf
@@ -0,0 +1,36 @@
+# $Header: /var/cvsroot/gentoo-x86/net-www/resin-ee/files/2.1.9/resin.conf,v 1.1 2003/04/30 13:56:44 absinthe Exp $
+
+# JVM Runtime
+# Using the default setting, it will determine your JVM from the system-vm
+# set using java-config.
+# See java-config(1) manual page for assistance in determining this value.
+#
+# You can override this value with whatever path you wish.
+# Example: JAVA_HOME=/opt/sun-jdk-1.4.1.01
+
+JAVA_HOME=`/bin/grep -e "JAVA_HOME" /etc/profile.env | /bin/sed -e "s/^.*'\(.*\)'$/\1/"`
+
+# (Optional) Java runtime options used when the "start", "stop", or "run"
+# commands are executed.
+# JAVA_OPTS=""
+
+# Where your Resin is installed
+RESIN_HOME=/opt/resin
+SERVER_ROOT=${RESIN_HOME}
+
+# Resin's User
+RESIN_USER=resin
+
+# Resin Log Locations
+RESIN_OUT=/var/log/resin/resin_out.log
+RESIN_ERR=/var/log/resin/resin_err.log
+
+# Location of the Resin JARs and classes
+RESIN_LIBDIR=/usr/share/resin-ee/lib
+
+# The CLASSPATH for Resin to use, plus any others you need.
+CLASSPATH=`/bin/grep -e "CLASSPATH" /usr/share/resin-ee/package.env | /bin/sed -e "s/CLASSPATH=//"`:${RESIN_LIBDIR}/lib
+
+# START/STOP settings
+RESIN_START="-java_home ${JAVA_HOME} -resin_home ${RESIN_HOME} -stdout ${RESIN_OUT} -stderr ${RESIN_ERR} start"
+RESIN_STOP="stop"
diff --git a/net-www/resin-ee/files/2.1.9/resin.init b/net-www/resin-ee/files/2.1.9/resin.init
new file mode 100644
index 000000000000..a4aeaa79f976
--- /dev/null
+++ b/net-www/resin-ee/files/2.1.9/resin.init
@@ -0,0 +1,32 @@
+#!/sbin/runscript
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/net-www/resin-ee/files/2.1.9/resin.init,v 1.1 2003/04/30 13:56:44 absinthe Exp $
+
+depend() {
+ need net
+ use dns logger mysql postgresql
+}
+
+start() {
+ ebegin "Starting Resin Enterprise"
+ cd ${RESIN_HOME}
+ su - ${RESIN_USER} -c "/opt/resin/bin/httpd.sh ${RESIN_START}"
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping Resin Enterprise"
+ su - ${RESIN_USER} -c "/opt/resin/bin/httpd.sh ${RESIN_STOP}"
+ sleep 2
+ eend $?
+}
+
+svc_restart () {
+ ebegin "Restarting Resin Enterprise"
+ su - ${RESIN_USER} -c "/opt/resin/bin/httpd.sh ${RESIN_STOP}"
+ sleep 5
+ cd ${RESIN_HOME}
+ su - ${RESIN_USER} -c "/opt/resin/bin/httpd.sh ${RESIN_START}"
+ eend $?
+}